MKARCHROOT(1)

NAME
mkarchroot - Creates an arch chroot in a specified location with a specified set of packages

SYNOPSIS

mkarchroot [options] [location] [packages]

DESCRIPTION

mkarchroot is a script to create an Arch Linux chroot at a specified location with specified packages. Typically used by makechrootpkg to create build chroots. Apart from installing specified packages the chroot is created with an en_US.UTF-8 and de_DE.UTF-8 locale and a generated machine-id.

OPTIONS

-U
    Use pacman -U to install packages.

-C <file>
    Location of a pacman config file.

-M <file>
    Location of a makepkg config file.

-c <dir>
    Set pacman cache.

-f <src>[:<dst>]
    Copy file from the host to the chroot. If dst is not provided, it defaults to src inside of the chroot.

-s
    Do not run setarch.

-h
    Output command line options.

SEE ALSO

pacman(1)

HOMEPAGE

Please report bugs and feature requests in the issue tracker. Please do your best to provide a reproducible test case for bugs.